import request from '../../utils/request'

// 查询客户信息列表
export function listCustomerInfo(query) {
  return request({
    url: '/market/customerInfo/list',
    method: 'get',
    params: query
  })
}

// 查询客户信息详细
export function getCustomerInfo(customerId) {
  return request({
    url: '/market/customerInfo/' + customerId,
    method: 'get'
  })
}

// 新增客户信息
export function addCustomerInfo(data) {
  return request({
    url: '/market/customerInfo',
    method: 'post',
    data: data
  })
}

// 修改客户信息
export function updateCustomerInfo(data) {
  return request({
    url: '/market/customerInfo',
    method: 'put',
    data: data
  })
}

// 删除客户信息
export function delCustomerInfo(customerId) {
  return request({
    url: '/market/customerInfo/' + customerId,
    method: 'delete'
  })
}