import request from '../../utils/request'

// 查询市场调研列表
export function listResearch(query) {
  return request({
    url: '/market/research/list',
    method: 'get',
    params: query
  })
}

// 查询市场调研详细
export function getResearch(researchId) {
  return request({
    url: '/market/research/' + researchId,
    method: 'get'
  })
}

// 新增市场调研
export function addResearch(data) {
  return request({
    url: '/market/research',
    method: 'post',
    data: data
  })
}

// 修改市场调研
export function updateResearch(data) {
  return request({
    url: '/market/research',
    method: 'put',
    data: data
  })
}

// 删除市场调研
export function delResearch(researchId) {
  return request({
    url: '/market/research/' + researchId,
    method: 'delete'
  })
}
