import { request } from '../../utils/requestmini'

// 查询客户信息列表
export function listCustomerInfo(query) {
  return request({
    url: '/market/customerInfo/list',
    method: 'get',
    data: query
  })
}

// 查询客户信息详细
export function getCustomerInfo(customerId) {
  return request({
    url: '/market/customerInfo/' + customerId,
    method: 'get'
  })
}

// 新增客户信息
export function addCustomerInfo(data) {
  return request({
    url: '/market/customerInfo',
    method: 'post',
    data: data
  })
}

// 修改客户信息
export function updateCustomerInfo(data) {
  return request({
    url: '/market/customerInfo',
    method: 'put',
    data: data
  })
}

// 删除客户信息
export function delCustomerInfo(customerId) {
  return request({
    url: '/market/customerInfo/' + customerId,
    method: 'delete'
  })
}

// import request from '../../utils/request'

// 查询市场调研列表
export function listResearch(query) {
  return request({
    url: '/market/research/list',
    method: 'get',
    data: query
  })
}

// 查询市场调研详细
export function getResearch(researchId) {
  return request({
    url: '/market/research/' + researchId,
    method: 'get'
  })
}

// 新增市场调研
export function addResearch(data) {
  return request({
    url: '/market/research',
    method: 'post',
    data: data
  })
}

// 修改市场调研
export function updateResearch(data) {
  return request({
    url: '/market/research',
    method: 'put',
    data: data
  })
}

// 删除市场调研
export function delResearch(researchId) {
  return request({
    url: '/market/research/' + researchId,
    method: 'delete'
  })
}
// import request from '../../utils/request'

// 查询客户拜访列表
export function listVisit(query) {
  return request({
    url: '/market/visit/list',
    method: 'get',
    data: query
  })
}

// 查询客户拜访详细
export function getVisit(visitId) {
  return request({
    url: '/market/visit/' + visitId,
    method: 'get'
  })
}

// 新增客户拜访
export function addVisit(data) {
  return request({
    url: '/market/visit',
    method: 'post',
    data: data
  })
}

// 修改客户拜访
export function updateVisit(data) {
  return request({
    url: '/market/visit',
    method: 'put',
    data: data
  })
}

// 删除客户拜访
export function delVisit(visitId) {
  return request({
    url: '/market/visit/' + visitId,
    method: 'delete'
  })
}

export function login(username, password, code, uuid) {
    const data = {
      username,
      password,
      code,
      uuid
    }
    return request({
      url: '/login',
      headers: {
        isToken: false
      },
      method: 'post',
      data: data
    })
  }