import  config  from "./configmini.js"
export const request = (options) => {
	return new Promise((resolve, reject) => {
		let token = uni.getStorageSync('Admin-Token')
		// 在登录的时候需要储存 token uni.setStorageSync("authorization","这里是登录获取的token值")
		uni.request({
			url: config.baseUrl + options.url,
			data: options.data || {},
			method: options.method || 'GET',
			header: options.header || {
				// 根据实际接口设计 key 取 token 或者 authorization
				'Authorization': 'Bearer ' + token,
			},
			success: (res) => {
				// console.log(res); // 控制台显示数据信息
				// resolve(res.data)
				if(res.statusCode===200){
					resolve(res.data)
				}else{
					uni.showToast({
						title: '请求接口失败',
						icon:'none'
					})
					// 返回错误消息
					reject(res.statusCode)
				}
			},
			fail: (err) => {
				// 页面中弹框显示失败
				uni.showToast({
					title: '请求接口失败',
					icon:'none'
				})
				// 返回错误消息
				reject(err)
			},
			catch: (e) => {
				console.log(e);
			}
		})
	})
}
// 将对象导出外部引入使用
export default {
	request
}